Bug 888171 - [RFE] There is no way to search user according to domain type / name
Summary: [RFE] There is no way to search user according to domain type / name
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Barak
QA Contact: Oded Ramraz
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 07:36 UTC by Oded Ramraz
Modified: 2016-02-10 19:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-01 10:57:11 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)

Description Oded Ramraz 2012-12-18 07:36:04 UTC
Description of problem:

There is no way to search user according to domain type / name ( IPA , AD , internal ) or ( qa.lab.tlv.... , ipa-domain... , internal )

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Itamar Heim 2012-12-18 22:19:22 UTC
domain name - agree, though you can do this today based on upn of username via search of:
Users: usrname=*qa.lab.tlv...

domain type - I don't think we should add this.

Comment 2 Oded Ramraz 2012-12-20 14:43:15 UTC
We need this functionality for our users / authentication api tests .

Comment 3 Oded Ramraz 2012-12-20 14:47:54 UTC
(In reply to comment #1)
> domain name - agree, though you can do this today based on upn of username
> via search of:
> Users: usrname=*qa.lab.tlv...
> 
> domain type - I don't think we should add this.

querying existing users according to domain name would be enough

Comment 4 Itamar Heim 2012-12-20 14:55:09 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > domain name - agree, though you can do this today based on upn of username
> > via search of:
> > Users: usrname=*qa.lab.tlv...
> > 
> > domain type - I don't think we should add this.
> 
> querying existing users according to domain name would be enough

and usrname=*domain.com doesn't resolve this?

Comment 5 Oded Ramraz 2012-12-23 10:22:09 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #1)
> > > domain name - agree, though you can do this today based on upn of username
> > > via search of:
> > > Users: usrname=*qa.lab.tlv...
> > > 
> > > domain type - I don't think we should add this.
> > 
> > querying existing users according to domain name would be enough
> 
> and usrname=*domain.com doesn't resolve this?

It will probably work , but it looks like a workaround to me . I prefer to fix it properly.

Comment 6 Dan Yasny 2013-02-13 02:08:10 UTC
if it works, and is well documented (is it?) I would agree with Itamar

Comment 7 Itamar Heim 2013-12-01 10:57:11 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.